Bug 220123 - security/zeronet: Update to 0.5.6
Summary: security/zeronet: Update to 0.5.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-19 04:38 UTC by Yuri Victorovich
Modified: 2017-06-26 17:45 UTC (History)
1 user (show)

See Also:


Attachments
patch (3.19 KB, patch)
2017-06-19 04:38 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-06-19 04:38:11 UTC
Created attachment 183618 [details]
patch

Builds in poudriere.
Comment 1 Richard Gallamore freebsd_committer 2017-06-25 02:53:27 UTC
After building in poudriere, there are some warnings.

Warning: Bad symlink '/usr/local/share/zeronet/log' pointing to an absolute pathname '/var/log/zeronet'
Warning: Bad symlink '/usr/local/share/zeronet/data' pointing to an absolute pathname '/var/db/zeronet'

Can you please fix these?
Comment 2 Yuri Victorovich freebsd_committer 2017-06-25 07:15:36 UTC
Richard,

These are legitimate symbolic links.
Please disregard the warnings.

Please see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220263

Regards,
Yuri
Comment 3 commit-hook freebsd_committer 2017-06-26 16:50:15 UTC
A commit references this bug:

Author: ultima
Date: Mon Jun 26 16:49:29 UTC 2017
New revision: 444378
URL: https://svnweb.freebsd.org/changeset/ports/444378

Log:
  * Updated to 0.5.6

  Changelog: https://github.com/HelloZeroNet/ZeroNet/releases/tag/v0.5.6

  PR:		220123
  Submitted by:	Yuri Victorovich <yuri@rawbw.com> (maintainer)
  Reviewed by:	lifanov (mentor), matthew (mentor)
  Approved by:	lifanov (mentor), matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11357

Changes:
  head/security/zeronet/Makefile
  head/security/zeronet/distinfo
  head/security/zeronet/pkg-plist
Comment 4 Richard Gallamore freebsd_committer 2017-06-26 17:45:03 UTC
Committed, thanks!